<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Сайт</title>

    <!--<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">-->

    <link rel="apple-touch-icon" sizes="57x57" type="png" href="apple-icon-57x57.png">
    <link rel="apple-touch-icon" sizes="60x60" type="png" href="apple-icon-60x60.png">
    <link rel="apple-touch-icon" sizes="72x72" type="png" href="apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="76x76" type="png" href="apple-icon-76x76.png">
    <link rel="apple-touch-icon" sizes="114x114" type="png" href="apple-icon-114x114.png">
    <link rel="apple-touch-icon" sizes="120x120" type="png" href="apple-icon-120x120.png">
    <link rel="apple-touch-icon" sizes="144x144"  type="png" href="apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="152x152" type="png" href="apple-icon-152x152.png">
    <link rel="apple-touch-icon" sizes="180x180" type="png" href="apple-icon-180x180.png">
    <link rel="icon" type="png" sizes="192x192"  href="android-icon-192x192.png">
    <link rel="icon" type="png" sizes="32x32" href="favicon-32x32.png">
    <link rel="icon" type="png" sizes="96x96" href="favicon-96x96.png">
    <link rel="icon" type="png" sizes="16x16" href="favicon-16x16.png">
    <link rel="manifest" href="/manifest.json">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="msapplication-TileI5mage" content="/ms-icon-144x144.png">
    <meta name="theme-color" content="#ffffff">


    <link rel="stylesheet" href="css/main.css">
    <link rel="stylesheet" href="css/chat.css">
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="js/main.js"></script>
    <script src="https://cdn.socket.io/4.7.5/socket.io.min.js" integrity="sha384-2huaZvOR9iDzHqslqwpR87isEmrfxqyWOF7hr7BY6KG0+hVKLoEXMPUJw3ynWuhO" crossorigin="anonymous"></script>


    <script src="js/chat.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
</head>

<body>
<div>
    <div class="header">
        <div class="right">
            <button class="masage-btn" onclick="window.location.href='chat.html'" >
                <svg xmlns="http://www.w3.org/2000/svg"  fill="currentColor" class="bi bi-bell" viewBox="0 0 16 16">
                    <path d="M8 16a2 2 0 0 0 2-2H6a2 2 0 0 0 2 2M8 1.918l-.797.161A4 4 0 0 0 4 6c0 .628-.134 2.197-.459 3.742-.16.767-.376 1.566-.663 2.258h10.244c-.287-.692-.502-1.49-.663-2.258C12.134 8.197 12 6.628 12 6a4 4 0 0 0-3.203-3.92zM14.22 12c.223.447.481.801.78 1H1c.299-.199.557-.553.78-1C2.68 10.2 3 6.88 3 6c0-2.42 1.72-4.44 4.005-4.901a1 1 0 1 1 1.99 0A5 5 0 0 1 13 6c0 .88.32 4.2 1.22 6"/>
                </svg>
                <div class="navigationRedDot"></div>
                <div class="dropdown-content">
                    <!--повідомлення від кого - текст внизу меншим текстом-->
                    <a href="#">від кого</a>
                    <a href="#"></a>
                </div>


            </button>
            <button class="profile-btn">
                <svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" class="bi bi-person-circle" viewBox="0 0 16 16">
                    <path d="M11 6a3 3 0 1 1-6 0 3 3 0 0 1 6 0"/>
                    <path fill-rule="evenodd" d="M0 8a8 8 0 1 1 16 0A8 8 0 0 1 0 8m8-7a7 7 0 0 0-5.468 11.37C3.242 11.226 4.805 10 8 10s4.757 1.225 5.468 2.37A7 7 0 0 0 8 1"/>
                </svg>
            </button>
            <div class="dropdown-content">
                <a id = "profile" href="#">Профіль</a>
                <a id = "out" href="login.html">Увійти</a>
            </div>
        </div>
        <div class="left">
            <button class="burgerMenu-btn" onclick="toggleSidebar()">
                <svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" class="bi bi-list" viewBox="0 0 16 16">
                    <path fill-rule="evenodd" d="M2.5 12a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5m0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5"/>
                </svg>
            </button>
            <div class="header-text">CMS</div>
        </div>
        <label class="name-l">James Bond</label>
    </div>
    <div class="container">
        <div class="sidebar">
            <a class="dashboard-l" href="dashboard.html">Статистика</a>
            <a class="students-l" href="students.html" onclick="students()">Студенти</a>
            <a class="tasks-l" href="tasks.html" onclick="tasks()">Завдання</a>
        </div>
        <div class="main-content" id="mainContent">
            <div class="main-content-heder" >
                <a>Чати</a>
                <button id="add-chat-btn" margin-right="20px" onclick="createNewChat()">
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chat-left-dots-fill" viewBox="0 0 16 16">
                        <path d="M0 2a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H4.414a1 1 0 0 0-.707.293L.854 15.146A.5.5 0 0 1 0 14.793zm5 4a1 1 0 1 0-2 0 1 1 0 0 0 2 0m4 0a1 1 0 1 0-2 0 1 1 0 0 0 2 0m3 1a1 1 0 1 0 0-2 1 1 0 0 0 0 2"/>
                    </svg>
                </button>
                <button id="add-student-btn" onclick="addUserToCurrentChat()">
                    <svg xmlns="http://www.w3.org/2000/svg" fill="currentColor" class="bi bi-person-plus-fill" viewBox="0 0 16 16">
                        <path d="M1 14s-1 0-1-1 1-4 6-4 6 3 6 4-1 1-1 1zm5-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6"/>
                        <path fill-rule="evenodd" d="M13.5 5a.5.5 0 0 1 .5.5V7h1.5a.5.5 0 0 1 0 1H14v1.5a.5.5 0 0 1-1 0V8h-1.5a.5.5 0 0 1 0-1H13V5.5a.5.5 0 0 1 .5-.5"/>
                    </svg>
                </button>
            </div>
            <div class="chat-container">
                <div class="chat-list">
                    <ul>

                        <!-- Додайте більше елементів списку за потреби -->
                    </ul>
                </div>
            <div class="chat-window">
                <div class="chat-header">

                </div>
                <div class="chat-messages">
                    <div class="message received">
                    </div>

                    <!-- Додайте більше повідомлень за потреби -->
                    </div>
                    <div class="chat-input">
                        <form>
                            <input id="message-input" type="text" placeholder="Введіть повідомлення...">
                            <button type="submit" class="main-content-btn" id="message-send" onclick="sendMessage()">
                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-send" viewBox="0 0 16 16">
                                    <path d="M15.854.146a.5.5 0 0 1 .11.54l-5.819 14.547a.75.75 0 0 1-1.329.124l-3.178-4.995L.643 7.184a.75.75 0 0 1 .124-1.33L15.314.037a.5.5 0 0 1 .54.11ZM6.636 10.07l2.761 4.338L14.13 2.576zm6.787-8.201L1.591 6.602l4.339 2.76z"/>
                                </svg>
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="registerSW.js"></script>
</body>
</html>
